<div class="progress-loader" [hidden]="!loading">
  <div class="loading-spinner">
    <img src="https://media0.giphy.com/media/xTk9ZvMnbIiIew7IpW/giphy.gif?cid=ecf05e47l186ecu33jftn3jyrxlwwrhienu3zbqt786jvmi2&rid=giphy.gif&ct=g">
    <span class="loading-message">Please wait...</span>
  </div>
</div>
